This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 207309 - cannot create a windows xp virtual machine
cannot create a windows xp virtual machine
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Rostedt
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 12:06 EDT by Phil Hale
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-06 15:11:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
qemu-dm log file from attempt to install windows as a virtual machine (255 bytes, text/plain)
2006-09-20 12:06 EDT, Phil Hale
no flags Details
xend log file from attempt to install windows virtual machine (19.96 KB, text/plain)
2006-09-20 12:07 EDT, Phil Hale
no flags Details
xend log file from qemu built windows image attempt (47.13 KB, text/plain)
2006-09-21 19:51 EDT, Phil Hale
no flags Details
fist of the qemu-dm logs from windows image built with qemu (320 bytes, text/plain)
2006-09-21 19:52 EDT, Phil Hale
no flags Details
second qemu-dm log from qemu built windows image built with qemu (322 bytes, text/plain)
2006-09-21 19:53 EDT, Phil Hale
no flags Details

  None (edit)
Description Phil Hale 2006-09-20 12:06:23 EDT
Description of problem:
Can't successfully create a windows xp virtual host.

Version-Release number of selected component (if applicable):
xen-3.0.2-33
virt-manager-0.2.2-1.fc6
Windows XP Pro Service Pack 2 install ISO file

How reproducible:
Every time.

Steps to Reproduce:
1. Start virt-manager and click on New button.
2. Set name to "windows" and select "Fully Virtualized" virtualization method.
3. Select the windows-xp-sp2.iso file as the ISO image file.
4. Set up a Simple file as the storage space: /var/xen/images/windows.img at
2000 MB.
5. Set Maximum and Minimum memory to 512 MB and 1 Virtual CPU.
6. Accept the settings and the Virtual Host is created.  I get the console up
and see the Windows XP install start. As it is loading files, it gets to the
"Starting windows" and crashes.  After the crash, an attempt to start windows
domain with the command xm create windows opens up a console with "unalbe to
boot from hard disk" -- expected as we don't have the cdrom image mapped.

  
Actual results:
Virtual Machine starts, but is unable to complete install.

Expected results:
Virtual windows machine should install and be able to boot.

Additional info:
I've attached the xend.og and the qemu-dm.PID.log files for reference.
Comment 1 Phil Hale 2006-09-20 12:06:23 EDT
Created attachment 136753 [details]
qemu-dm log file from attempt to install windows as a virtual machine
Comment 2 Phil Hale 2006-09-20 12:07:37 EDT
Created attachment 136754 [details]
xend log file from attempt to install windows virtual machine
Comment 3 Daniel Veillard 2006-09-20 12:24:08 EDT
Well known problem upstream. Use for example QEmu to install, once installed
then you can try using Xen to run your XP image.

Daniel
Comment 4 Phil Hale 2006-09-21 19:51:42 EDT
Created attachment 136918 [details]
xend log file from qemu built windows image attempt
Comment 5 Phil Hale 2006-09-21 19:52:41 EDT
Created attachment 136919 [details]
fist of the qemu-dm logs from windows image built with qemu
Comment 6 Phil Hale 2006-09-21 19:53:51 EDT
Created attachment 136920 [details]
second qemu-dm log from qemu built windows image built with qemu
Comment 7 Phil Hale 2006-09-21 19:57:52 EDT
Added the xend log file and the qemu-dm logs from a copy of a windows.img file I
successfully built and ran with qemu.  The image will start up, crash, restart,
crash, and restart one more time before quiting completely.  This same image
runs for a very long time under qemu, but is understandibly slow.
Comment 9 Matthew Miller 2007-04-06 14:21:50 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 10 Phil Hale 2007-04-06 14:49:08 EDT
I was eventually able to create a Windows XP guest.  I had to tweak the default
virt-manager config file to make it work, but it works nicely now.
Comment 11 Matthew Miller 2007-04-06 14:55:13 EDT
So, do you think this should be closed as "UPSTREAM", or is it more "WORKSFORME"?
Comment 12 Phil Hale 2007-04-06 15:03:07 EDT
Close as Upstream.  It is now working with the latest stable patches from FC6.
Comment 13 Matthew Miller 2007-04-06 15:11:30 EDT
Actually, I'd call that "currentrelease". :)

Note You need to log in before you can comment on or make changes to this bug.